wrap.tor {bio3d} | R Documentation

## Wrap Torsion Angle Data

### Description

Adjust angular data so that the absolute difference of any of the observations from its mean is not greater than 180 degrees.

### Usage

    wrap.tor(data, wrapav=TRUE, avestruc=NULL)

### Arguments

`data` | a numeric vector or matrix of torsion angle data as obtained from `torsion.xyz`.
`wrapav` | logical, if TRUE average structure is also ‘wrapped’
`avestruc` | a numeric vector corresponding to the average structure

### Details

This is a basic utility function for coping with the periodicity of torsion angle data, by ‘wraping’ angular data such that the absolute difference of any of the observations from its column-wise mean is not greater than 180 degrees.

### Value

A numeric vector or matrix of wrapped torsion angle data.

### Author(s)

Karim ElSawy

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`torsion.xyz`

[Package bio3d version 2.3-4 Index]